create table Player (
  PID int null,
  Name varchar2(30) null,
  Gender char null,
  CCode varchar2(3) null
);

create table Tournament (
  TID int null,
  Name varchar2(20) null,
  Location varchar2(30) null,
  StartDate Date null,
  EndDate Date null,
  NumRounds int null,
  TType varchar2(7) null,
  Surface varchar2(10) null
);

create table PlayedIn (
  TID int null,
  RegistrNum int null,
  Seed int null
);

create table Registration (
  RegistrNum int null,
  PID int null
);

create table Match (
  MID int null,
  TID int null,
  Round int null,
  RegistrNum1 int null,
  RegistrNum2 int null
);

create table MatchResults (
  MID int null,
  Winner int null,
  NumSets int null
);

create table CountryCodes (
  Code varchar2(3) null,
  Country varchar2(100) null
);

create table SetScore (
  MID int null,
  SetNum int null,
  WinnerGames int null,
  LoserGames int null
);

create table RetiredMatch (
  MID int null
);

create table Tiebreaker (
  MID int null,
  SetNum int null,
  WinnerTB int null,
  LoserTB int null
);
